Index: pacemaker/pengine/test10/resource-discovery.exp
===================================================================
--- pacemaker.orig/pengine/test10/resource-discovery.exp
+++ pacemaker/pengine/test10/resource-discovery.exp
@@ -766,7 +766,7 @@
     <action_set>
       <rsc_op id="66" operation="start" operation_key="FAKE6_start_0" on_node="18node1" on_node_uuid="1">
         <primitive id="FAKE6" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -785,7 +785,7 @@
     <action_set>
       <rsc_op id="14" operation="monitor" operation_key="FAKE6_monitor_0" on_node="18node2" on_node_uuid="2">
         <primitive id="FAKE6" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -794,7 +794,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="FAKE6_monitor_0" on_node="18node1" on_node_uuid="1">
         <primitive id="FAKE6" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -803,7 +803,7 @@
     <action_set>
       <rsc_op id="69" operation="monitor" operation_key="FAKE7_monitor_10000" on_node="18node1" on_node_uuid="1">
         <primitive id="FAKE7" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -816,7 +816,7 @@
     <action_set>
       <rsc_op id="68" operation="start" operation_key="FAKE7_start_0" on_node="18node1" on_node_uuid="1">
         <primitive id="FAKE7" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -838,7 +838,7 @@
     <action_set>
       <rsc_op id="15" operation="monitor" operation_key="FAKE7_monitor_0" on_node="18node2" on_node_uuid="2">
         <primitive id="FAKE7" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -847,7 +847,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="FAKE7_monitor_0" on_node="18node1" on_node_uuid="1">
         <primitive id="FAKE7" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
